APIIntegrations
Set a Microsoft Teams channel-to-project mapping
Create or update the mention route of one Teams channel. The channel name and team are resolved from the connection's channel catalog. Idempotent on (connection, channel).
PUT https://api.sazabi.com/v1/integrations/connections/{connectionId}/microsoft-teams-channel-project-mappings/{microsoftTeamsChannelId}
Path Parameters
connectionId*string
Microsoft Teams integration connection ID (the integration_connections.id).
Format
uuidmicrosoftTeamsChannelId*string
Teams channel ID (e.g. 19:abc123@thread.tacv2). Must be in the connection's channel catalog.
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/integrations/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/microsoft-teams-channel-project-mappings/string" \ -H "Content-Type: application/json" \ -d '{ "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8" }'{ "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "microsoftTeamsChannelId": "string", "microsoftTeamsChannelName": "string", "microsoftTeamsTeamId": "string", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8"}